---
search:
  tags:
    - Host
    - GET
seo:
  description: >-
    Read the event host's desired/observed state. Reference for the GET
    /api/admin/host endpoint in the Athena Attack/Defence Admin API.
sidebar:
  label: Read the event host's desired/observed state
  badge: GET
title: Read the event host's desired/observed state
type: openapi-operation
---
`GET /api/admin/host`

**Responses**

- `200` — Success
- `401` — Unauthorized
- `404` — Response for status 404
- `422` — Validation failed
- `500` — Unhandled server error

Response example, 200:

```json
{
  "id": 0,
  "agentVersion": "string",
  "desiredGeneration": 0,
  "observedGeneration": 0,
  "desiredHash": "string",
  "baseSnapshotGeneration": 0,
  "ready": true,
  "qualificationResult": "pending",
  "terminalError": "string",
  "agentConnected": true,
  "blockedAt": "2019-08-24T14:15:22Z",
  "blockedReason": "string",
  "reallocationOperationId": "string",
  "reallocationReason": "compromise",
  "reallocationRequestedAt": "2019-08-24T14:15:22Z",
  "credentialFingerprint": "string",
  "credentialGeneration": 0,
  "credentialExpiresAt": "2019-08-24T14:15:22Z",
  "revokedGeneration": 0,
  "sealedAt": "2019-08-24T14:15:22Z",
  "relayPublicKey": "string",
  "relayEndpoint": "string",
  "observationCollectorId": "string",
  "observationSequence": 0,
  "observedAt": "2019-08-24T14:15:22Z",
  "updatedAt": "2019-08-24T14:15:22Z"
}
```
